### Method

# WPEWebKit Settings get_media_playback_requires_user_gesture

#### Declaration [src]

    gboolean
    webkit_settings_get_media_playback_requires_user_gesture (
      WebKitSettings* settings
    )

#### Description [src]

Get the `WebKitSettings:media-playback-requires-user-gesture` property.

Gets property | `WPEWebKit.Settings:media-playback-requires-user-gesture`

#### Return value

Type: `gboolean`

`TRUE` If an user gesture is needed to play or load media or `FALSE` if no user gesture is needed.